# Date : Object
Return to: JavaScript Core index

Lets you work with dates and times.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
Date Constructor([Number milliseconds,] [String dateString,] [Object yr_num, mo_num, day_num,] [Object hr_num, min_num, sec_num, ms_num]) : Date Creates a new instance of a Date object. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

### Date([Number milliseconds,] [String dateString,] [Object yr_num, mo_num, day_num,] [Object hr_num, min_num, sec_num, ms_num]) : Date

Creates a new instance of a Date object.

Parameters

Number | milliseconds | (optional)The elements to add to the front of the array.
String | dateString | (optional)String value representing a date. The string should be in a format recognized by the parse method.
Object | yr_num, mo_num, day_num | (optional)Integer values representing part of a date. As an integer value, the month is represented by 0 to 11 with 0=January and 11=December.
Object | hr_num, min_num, sec_num, ms_num | (optional)Integer values representing part of a date.

Returns

Date |

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
constructor : Function Specifies the function that creates an object's prototype. Note that the value of this property is a reference to the function itself, not a string containing the function's name. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

See Also

  Object.constructor

Availability

  JavaScript 1.1|NES 2.0|ECMA-262

prototype : Date Represents the prototype for this class. You can use the prototype to add properties or methods to all instances of a class. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

See Also

  Function.prototype

Availability

  JavaScript 1.1|NES 2.0|ECMA-262

## Functions

Method | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
getDate() : Number Returns the day of the month for the specified date according to local time. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Returns

Number |

  ### Using `getDate`

  The second statement below assigns the value 25 to the variable `day`, based on the value of the `Date` object `Xmas95`.

      Xmas95 = new Date("December 25, 1995 23:15:00")
                              day = Xmas95.getDate()

Remarks

  The value returned by `getDate` is an integer between 1 and 31.

See Also

  getUTCDate|getUTCDay|setDate

Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1

getDay() : Number Returns a number representing the day of the week for the specified date (according to local time). | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Returns

Number |

  ### Using `getDay`

  The second statement below assigns the value 1 to `weekday`, based on the value of the `Date` object `Xmas95`. December 25, 1995, is a Monday.

      Xmas95 = new Date("December 25, 1995 23:15:00")
                              weekday = Xmas95.getDay();

Remarks

  The value returned by `getDay` is an integer corresponding to the day of the week: 0 for Sunday, 1 for Monday, 2 for Tuesday, and so on.

See Also

  getUTCDay|setDate

Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1

getFullYear() : Number Returns the year of the specified date according to local time. | Show Details | 4.0+ | 1.0+ | 4.06+ | 7.0+ | 1.0+

Returns

Number |

  ### Using `getFullYear`

  The following example assigns the four-digit value of the current year to the variable `yr`.

      var yr;
                              Today = new Date();
                              yr = Today.getFullYear();

Remarks

  The value returned by `getFullYear` is an absolute number. For dates between the years 1000 and 9999, `getFullYear` returns a four-digit number, for example, 1995. Use this function to make sure a year is compliant with years after 2000.

  Use this method instead of the `getYear` method.

See Also

  getYear|getUTCFullYear|setFullYear

Availability

  JavaScript 1.2|JScript 3.0|ECMAScript v1

getHours() : Number Returns the hour for the specified date according to local time. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Returns

Number |

  ### Using `getHours`

  The second statement below assigns the value 23 to the variable `hours`, based on the value of the `Date` object `Xmas95`.

      Xmas95 = new Date("December 25, 1995 23:15:00")
                              hours = Xmas95.getHours()

Remarks

  The value returned by `getHours` is an integer between 0 and 23.

See Also

  getUTCHours|setHours

Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1

getMilliseconds() : Number Returns the number of milliseconds in the specified date according to local time. | Show Details | 4.0+ | 1.0+ | 4.06+ | 7.0+ | 1.0+

Returns

Number |

  ### Using `getMilliseconds`

  The following example assigns the milliseconds portion of the current time to the variable `ms`.

      var ms;
                              Today = new Date();
                              ms = Today.getMilliseconds();

Remarks

  The value returned by `getMilliseconds` is a number between 0 and 999.

See Also

  getUTCMilliseconds|setMilliseconds

Availability

  JavaScript 1.2|JScript 3.0|ECMAScript v1

getMinutes() : Number Returns the minutes in the specified date according to local time. | Show Details | 4.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Returns

Number |

  ### Using `getMinutes`

  The second statement below assigns the value 15 to the variable `minutes`, based on the value of the `Date` object `Xmas95`.

      Xmas95 = new Date("December 25, 1995 23:15:00")
                              minutes = Xmas95.getMinutes()

Remarks

  The value returned by `getMinutes` is an integer between 0 and 59.

See Also

  getUTCMinutes|setMinutes

Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1

getMonth() : Number Returns the month (from 0-11) in the specified date according to local time. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Returns

Number |

  ### Using `getMonth`

  The second statement below assigns the value 11 to the variable `month`, based on the value of the `Date` object `Xmas95`.

      Xmas95 = new Date("December 25, 1995 23:15:00")
                              month = Xmas95.getMonth()

Remarks

  The value returned by `getMonth` is an integer between 0 and 11. 0 corresponds to January, 1 to February, and so on.

See Also

  getUTCMonth|setMonth

Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1

getSeconds() : Number Returns the seconds in the specified date according to local time. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Returns

Number |

  ### Using `getSeconds`

  The second statement below assigns the value 30 to the variable `secs`, based on the value of the `Date` object `Xmas95`.

      Xmas95 = new Date("December 25, 1995 23:15:30")
                              secs = Xmas95.getSeconds()

Remarks

  The value returned by `getSeconds` is an integer between 0 and 59.

See Also

  getUTCSeconds|setSeconds

Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1

getTime() : Number Returns the numeric value corresponding to the time for the specified date according to universal time. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Returns

Number |

  ### Using `getTime`

  The following example assigns the date value of `theBigDay` to `sameAsBigDay`:

      theBigDay = new Date("July 1, 1999")
                              sameAsBigDay = new Date()
                              sameAsBigDay.setTime(theBigDay.getTime())

Remarks

  The value returned by the `getTime` method is the number of milliseconds since 1 January 1970 00:00:00. You can use this method to help assign a date and time to another `Date` object.

  This method is functionally equivalent to the valueOf method.

See Also

  parse|Global.UTC|getUTCHours|setTime|valueOf

Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1

getTimezoneOffset() : Number Returns the time-zone offset in minutes for the current locale. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Returns

Number |

  ### Using `getTimezoneOffset`

      x = new Date()
                              currentTimeZoneOffsetInHours = x.getTimezoneOffset()/60

Remarks
  The time-zone offset is the difference between local time and Greenwich Mean Time (GMT). Daylight savings time prevents this value from being a constant.
Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1

getUTCDate() : Number Returns the day (date) of the month in the specified date according to universal time. | Show Details | 4.0+ | 1.0+ | 4.06+ | 7.0+ | 1.0+

Returns

Number |

  ### Using `getUTCDate`

  The following example assigns the day portion of the current date to the variable `d`.

      var d;
                              Today = new Date();
                              d = Today.getUTCDate();

Remarks

  The value returned by `getUTCDate` is an integer between 1 and 31.

See Also

  getDate|getUTCDay|setUTCDate

Availability

  JavaScript 1.2|JScript 3.0|ECMAScript v1

getUTCDay() : Number Returns the day of the week in the specified date according to universal time. | Show Details | 4.0+ | 1.0+ | 4.06+ | 7.0+ | 1.0+

Returns

Number |

  ### Using `getUTCDay`

  The following example assigns the weekday portion of the current date to the variable `weekday`.

      var weekday;
                              Today = new Date()
                              weekday = Today.getUTCDay()

Remarks

  The value returned by `getUTCDay` is an integer corresponding to the day of the week: 0 for Sunday, 1 for Monday, 2 for Tuesday, and so on.

See Also

  getDay|getUTCDate|setUTCDate

Availability

  JavaScript 1.2|JScript 3.0|ECMAScript v1

getUTCFullYear() : Number Returns the year in the specified date according to universal time. | Show Details | 4.0+ | 1.0+ | 4.06+ | 7.0+ | 1.0+

Returns

Number |

  ### Using `getUTCFullYear`

  The following example assigns the four-digit value of the current year to the variable `yr`.

      var yr;
                              Today = new Date();
                              yr = Today.getUTCFullYear();

Remarks

  The value returned by `getUTCFullYear` is an absolute number that is compliant with year-2000, for example, 1995.

See Also

  getFullYear|setFullYear

Availability

  JavaScript 1.2|JScript 3.0|ECMAScript v1

getUTCHours() : Number Returns the hours in the specified date according to universal time. | Show Details | 4.0+ | 1.0+ | 4.06+ | 7.0+ | 1.0+

Returns

Number |

  ### Using `getUTCHours`

  The following example assigns the hours portion of the current time to the variable `hrs`.

      var hrs;
                              Today = new Date();
                              hrs = Today.getUTCHours();

Remarks

  The value returned by `getUTCHours` is an integer between 0 and 23.

See Also

  getHours|setUTCHours

Availability

  JavaScript 1.2|JScript 3.0|ECMAScript v1

getUTCMilliseconds() : Number Returns the milliseconds in the specified date according to universal time. | Show Details | 4.0+ | 1.0+ | 4.06+ | 7.0+ | 1.0+

Returns

Number |

  ### Using `getUTCMilliseconds` =

  The following example assigns the milliseconds portion of the current time to the variable `ms`.

      var ms;
                              Today = new Date();
                              ms = Today.getUTCMilliseconds();

Remarks

  The value returned by `getUTCMilliseconds` is an integer between 0 and 999.

See Also

  getMilliseconds|setUTCmilliseconds

Availability

  JavaScript 1.2|JScript 3.0|ECMAScript v1

getUTCMinutes() : Number Returns the minutes in the specified date according to universal time. | Show Details | 4.0+ | 1.0+ | 4.06+ | 7.0+ | 1.0+

Returns

Number |

  ### Using `getUTCMinutes`

  The following example assigns the minutes portion of the current time to the variable `min`.

      var min;
                              Today = new Date();
                              min = Today.getUTCMinutes();

Remarks

  The value returned by `getUTCMinutes` is an integer between 0 and 59.

See Also

  getMinutes|setUTCMinutes

Availability

  JavaScript 1.2|JScript 3.0|ECMAScript v1

getUTCMonth() : Number Returns the month of the specified date according to universal time. | Show Details | 4.0+ | 1.0+ | 4.06+ | 7.0+ | 1.0+

Returns

Number |

  ### Using `getUTCMonth`

  The following example assigns the month portion of the current date to the variable `mon`.

      var mon;
                              Today = new Date();
                              mon = Today.getUTCMonth();

Remarks

  The value returned by `getUTCMonth` is an integer between 0 and 11 corresponding to the month. 0 for January, 1 for February, 2 for March, and so on.

See Also

  getMonth|setUTCMonth

Availability

  JavaScript 1.2|JScript 3.0|ECMAScript v1

getUTCSeconds() : Number Returns the seconds in the specified date according to universal time. | Show Details | 4.0+ | 1.0+ | 4.06+ | 7.0+ | 1.0+

Returns

Number |

  ### Using `getUTCSeconds`

  The following example assigns the seconds portion of the current time to the variable `sec`.

      var sec;
                              Today = new Date();
                              sec = Today.getUTCSeconds();

Remarks

  The value returned by `getUTCSeconds` is an integer between 0 and 59.

See Also

  getSeconds|setUTCSeconds

Availability

  JavaScript 1.2|JScript 3.0|ECMAScript v1

getYear() : Number Returns the year in the specified date according to local time. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Returns

Number |

  ### Years between 1900 and 1999

  The second statement assigns the value 95 to the variable `year`.

      Xmas = new Date("December 25, 1995 23:15:00")
                              year = Xmas.getYear() // returns 95

  ### Years above 1999

  The second statement assigns the value 100 to the variable `year`.

      Xmas = new Date("December 25, 2000 23:15:00")
                              year = Xmas.getYear() // returns 100

  ### Years below 1900

  The second statement assigns the value -100 to the variable `year`.

      Xmas = new Date("December 25, 1800 23:15:00")
                              year = Xmas.getYear() // returns -100

  ### Setting and getting a year between 1900 and 1999

  The second statement assigns the value 95 to the variable `year`, representing the year 1995.

      Xmas.setYear(95)
                              year = Xmas.getYear() // returns 95

Remarks

  `getYear` is no longer used and has been replaced by the getFullYear method.

  The `getYear` method returns the year minus 1900; thus:

  - For years above 2000, the value returned by `getYear` is 100 or greater. For example, if the year is 2026, `getYear` returns 126.
  - For years between and including 1900 and 1999, the value returned by `getYear` is between 0 and 99. For example, if the year is 1976, `getYear` returns 76.
  - For years less than 1900 or greater than 1999, the value returned by `getYear` is less than 0. For example, if the year is 1800, `getYear` returns -100.

  To take into account years before and after 2000, you should use `getFullYear` instead of `getYear` so that the year is specified in full.

See Also

  getFullYear|getUTCFullYear|setYear

Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1|deprecated by ECMAScript v3

now() : Number Returns the number of milliseconds passed since 1970-01-01 00:00:00 UTC. | Show Details | no | 1.0+ | no | no | no

Returns

Number |

Remarks
  SpiderMonkey extension to ECMAScript standard. Supported by Mozilla only.
Availability

static parse(String dateString) : Number Parses a string representation of a date, and returns the number of milliseconds since January 1, 1970, 00:00:00, local time. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Parameters

String | dateString | A string representing a date.

Returns

Number |

  ### Using `parse`

  If `IPOdate` is an existing `Date` object, then you can set it to August 9, 1995 as follows:

      IPOdate.setTime(Date.parse("Aug 9, 1995")) ;

Remarks

  The `parse` method takes a date string (such as "`Dec 25, 1995`") and returns the number of milliseconds since January 1, 1970, 00:00:00 (local time). This function is useful for setting date values based on string values, for example in conjunction with the `setTime` method and the `Date` object.

  Given a string representing a time, `parse` returns the time value. It accepts the IETF standard date syntax: "`Mon, 25 Dec 1995 13:30:00 GMT`". It understands the continental US time-zone abbreviations, but for general use, use a time-zone offset, for example, "`Mon, 25 Dec 1995 13:30:00 GMT+0430`" (4 hours, 30 minutes west of the Greenwich meridian). If you do not specify a time zone, the local time zone is assumed. GMT and UTC are considered equivalent.

  Because `parse` is a static method of `Date`, you always use it as `Date.parse()`, rather than as a method of a `Date` object you created.

See Also

  Date|Date.setTime|Date.toGMTString|Date.UTC

Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1

setDate(Number dayValue) : Number Sets the day of the month for a specified date according to local time. | Show Details | 4.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Parameters

Number | dayValue | An integer from 1 to 31, representing the day of the month.

Returns

Number |

  ### Using `setDate`

  The second statement below changes the day for `theBigDay` to July 24 from its original value.

      theBigDay = new Date("July 27, 1962 23:30:00")
                              theBigDay.setDate(24)

Remarks
  Before this method was standardized to ECMAScript, it returned nothing.
See Also

  getDate|setUTCDate

Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1

setFullYear(Number yearValue, [Number monthValue,] [Number dayValue]) : Number Sets the full year for a specified date according to local time. | Show Details | 4.0+ | 1.0+ | 4.06+ | 7.0+ | 1.0+

Parameters

Number | yearValue | An integer specifying the numeric value of the year, for example, 1995.
Number | monthValue | (optional)An integer between 0 and 11 representing the months January through December.
Number | dayValue | (optional)An integer between 1 and 31 representing the day of the month. If you specify the dayValue parameter, you must also specify the monthValue.

Returns

Number |

  ### Using `setFullYear`

      theBigDay = new Date();
                              theBigDay.setFullYear(1997);

Remarks

  If you do not specify the `monthValue` and `dayValue` parameters, the values returned from the `getMonth` and `getDate` methods are used.

  If a parameter you specify is outside of the expected range, `setFullYear` attempts to update the other parameters and the date information in the `Date` object accordingly. For example, if you specify 15 for `monthValue`, the year is incremented by 1 (year + 1), and 3 is used for the month.

See Also

  getUTCFullYear|setUTCFullYear|setYear

Availability

  JavaScript 1.2|JScript 3.0|ECMAScript v1

setHours(Number hoursValue, [Number minutesValue,] [Number secondsValue,] [Number msValue]) : Number Sets the hours for a specified date according to local time. | Show Details | 4.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Parameters

Number | hoursValue | An integer between 0 and 23, representing the hour.
Number | minutesValue | (optional)An integer between 0 and 59, representing the minutes.
Number | secondsValue | (optional)An integer between 0 and 59, representing the seconds. If you specify the secondsValue parameter, you must also specify the minutesValue.
Number | msValue | (optional)A number between 0 and 999, representing the milliseconds. If you specify the msValue parameter, you must also specify the minutesValue and secondsValue.

Returns

Number |

  ### Using `setHours`

      theBigDay.setHours(7)

Remarks

  Before this method was standardized to ECMAScript, it returned nothing. If you do not specify the `minutesValue`, `secondsValue`, and `msValue` parameters, the values returned from the `getUTCMinutes`, `getUTCSeconds`, and `getMilliseconds` methods are used.

  If a parameter you specify is outside of the expected range, `setHours` attempts to update the date information in the `Date` object accordingly. For example, if you use 100 for `secondsValue`, the minutes will be incremented by 1 (min + 1), and 40 will be used for seconds.

See Also

  getHours|setUTCHours

Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1

setMilliseconds(Number millisecondsValue) : Number Sets the milliseconds for a specified date according to local time. | Show Details | 4.0+ | 1.0+ | 4.06+ | 7.0+ | 1.0+

Parameters

Number | millisecondsValue | A number between 0 and 999, representing the milliseconds.

Returns

Number |

  ### Using `setMilliseconds`

      theBigDay = new Date();
                              theBigDay.setMilliseconds(100);

Remarks

  If you specify a number outside the expected range, the date information in the `Date` object is updated accordingly. For example, if you specify 1005, the number of seconds is incremented by 1, and 5 is used for the milliseconds.

See Also

  getMilliseconds|setUTCMilliseconds

Availability

  JavaScript 1.2|JScript 3.0|ECMAScript v1

setMinutes(Number minutesValue, [Number secondsValue,] [Number msValue]) : Number Sets the minutes for a specified date according to local time. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Parameters

Number | minutesValue | An integer between 0 and 59, representing the minutes.
Number | secondsValue | (optional)An integer between 0 and 59, representing the seconds. If you specify the secondsValue parameter, you must also specify the minutesValue.
Number | msValue | (optional)A number between 0 and 999, representing the milliseconds. If you specify the msValue parameter, you must also specify the minutesValue and secondsValue.

Returns

Number |

  ### Using `setMinutes`

      theBigDay.setMinutes(45)

Remarks

  Before this method was standardized to ECMAScript, it returned nothing. If you do not specify the `secondsValue` and `msValue` parameters, the values returned from `getSeconds` and `getMilliseconds` methods are used.

  If a parameter you specify is outside of the expected range, `setMinutes` attempts to update the date information in the `Date` object accordingly. For example, if you use 100 for `secondsValue`, the minutes (`minutesValue`) will be incremented by 1 (`minutesValue` + 1), and 40 will be used for seconds.

See Also

  getMinutes|setUTCMinutes

Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1

setMonth(Number monthValue, [Number dayValue]) : Number Set the month for a specified date according to local time. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Parameters

Number | monthValue | An integer between 0 and 11 (representing the months January through December).
Number | dayValue | (optional)An integer from 1 to 31, representing the day of the month.

Returns

Number |

  ### Using `setMonth`

      theBigDay.setMonth(6)

Remarks

  Before this method was standardized to ECMAScript, it returned nothing. If you do not specify the `dayValue` parameter, the value returned from the `getDate` method is used.

  If a parameter you specify is outside of the expected range, `setMonth` attempts to update the date information in the `Date` object accordingly. For example, if you use 15 for `monthValue`, the year will be incremented by 1 (year + 1), and 3 will be used for month.

See Also

  getMonth|setUTCMonth

Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1

setSeconds(Number secondsValue, [Number msValue]) : Number Sets the seconds for a specified date according to local time. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Parameters

Number | secondsValue | An integer between 0 and 59.
Number | msValue | (optional)A number between 0 and 999, representing the milliseconds.

Returns

Number |

  ### Using `setSeconds`

      theBigDay.setSeconds(30)

Remarks

  Before this method was standardized to ECMAScript, it returned nothing. If you do not specify the `msValue` parameter, the value returned from the `getMilliseconds` method is used.

  If a parameter you specify is outside of the expected range, `setSeconds` attempts to update the date information in the `Date` object accordingly. For example, if you use 100 for `secondsValue`, the minutes stored in the `Date` object will be incremented by 1, and 40 will be used for seconds.

See Also

  getSeconds|setUTCSeconds

Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1

setTime(Number timeValue) : Number Sets the value of a Date object according to local time. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Parameters

Number | timeValue | An integer representing the number of milliseconds since 1 January 1970, 00:00:00.

Returns

Number |

  ### Using `setTime`

      theBigDay = new Date("July 1, 1999")
                              sameAsBigDay = new Date();
                              sameAsBigDay.setTime(theBigDay.getTime());

Remarks

  Before this method was standardized to ECMAScript, it returned nothing. Use the `setTime` method to help assign a date and time to another `Date` object.

See Also

  getTime|setUTCHours

Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1

setUTCDate(Number dayValue) : Number Sets the day of the month for a specified date according to universal time. | Show Details | 4.0+ | 1.0+ | 4.06+ | 7.0+ | 1.0+

Parameters

Number | dayValue | An integer from 1 to 31, representing the day of the month.

Returns

Number |

  ### Using `setUTCDate`

      theBigDay = new Date();
                              theBigDay.setUTCDate(20);

Remarks

  If a parameter you specify is outside of the expected range, `setUTCDate` attempts to update the date information in the `Date` object accordingly. For example, if you use 40 for `dayValue`, and the month stored in the `Date` object is June, the day will be changed to 10 and the month will be incremented to July.

See Also

  getUTCDate|setDate

Availability

  JavaScript 1.2|JScript 3.0|ECMAScript v1

setUTCFullYear(Number yearValue, [Number monthValue,] [Number dayValue]) : Number Sets the full year for a specified date according to universal time. | Show Details | 4.0+ | 1.0+ | 4.06+ | 7.0+ | 1.0+

Parameters

Number | yearValue | An integer specifying the numeric value of the year, for example, 1995.
Number | monthValue | (optional)An integer between 0 and 11 representing the months January through December.
Number | dayValue | (optional)An integer between 1 and 31 representing the day of the month. If you specify the dayValue parameter, you must also specify the monthValue.

Returns

Number |

  ### Using `setUTCFullYear`

      theBigDay = new Date();
                              theBigDay.setUTCFullYear(1997);

Remarks

  If you do not specify the `monthValue` and `dayValue` parameters, the values returned from the `getMonth` and `getDate` methods are used.

  If a parameter you specify is outside of the expected range, `setUTCFullYear` attempts to update the other parameters and the date information in the `Date` object accordingly. For example, if you specify 15 for `monthValue`, the year is incremented by 1 (year + 1), and 3 is used for the month.

See Also

  getUTCFullYear|setFullYear

Availability

  JavaScript 1.2|JScript 3.0|ECMAScript v1

setUTCHours(Number hoursValue, [Number minutesValue,] [Number secondsValue,] [Number msValue]) : Number Sets the hour for a specified date according to universal time. | Show Details | 4.0+ | 1.0+ | 4.06+ | 7.0+ | 1.0+

Parameters

Number | hoursValue | An integer between 0 and 23, representing the hour.
Number | minutesValue | (optional)An integer between 0 and 59, representing the minutes.
Number | secondsValue | (optional)An integer between 0 and 59, representing the seconds. If you specify the secondsValue parameter, you must also specify the minutesValue.
Number | msValue | (optional)A number between 0 and 999, representing the milliseconds. If you specify the msValue parameter, you must also specify the minutesValue and secondsValue.

Returns

Number |

  ### Using `setUTCHours`

      theBigDay = new Date();
                              theBigDay.setUTCHours(8);

Remarks

  If you do not specify the `minutesValue`, `secondsValue`, and `msValue` parameters, the values returned from the `getUTCMinutes`, `getUTCSeconds`, and `getUTCMilliseconds` methods are used.

  If a parameter you specify is outside of the expected range, `setUTCHours` attempts to update the date information in the `Date` object accordingly. For example, if you use 100 for `secondsValue`, the minutes will be incremented by 1 (min + 1), and 40 will be used for seconds.

See Also

  getUTCHours|setHours

Availability

  JavaScript 1.2|JScript 3.0|ECMAScript v1

setUTCMilliseconds(Number millisecondsValue) : Number Sets the milliseconds for a specified date according to universal time. | Show Details | 4.0+ | 1.0+ | 4.06+ | 7.0+ | 1.0+

Parameters

Number | millisecondsValue | A number between 0 and 999, representing the milliseconds.

Returns

Number |

  ### Using `setUTCMilliseconds`

      theBigDay = new Date();
                              theBigDay.setUTCMilliseconds(500);

Remarks

  If a parameter you specify is outside of the expected range, `setUTCMilliseconds` attempts to update the date information in the `Date` object accordingly. For example, if you use 1100 for `millisecondsValue`, the seconds stored in the `Date` object will be incremented by 1, and 100 will be used for milliseconds.

See Also

  getUTCMilliseconds|setMilliseconds

Availability

  JavaScript 1.2|JScript 3.0|ECMAScript v1

setUTCMinutes(Number minutesValue, [Number secondsValue,] [Number msValue]) : Number Sets the minutes for a specified date according to universal time. | Show Details | 4.0+ | 1.0+ | 4.06+ | 7.0+ | 1.0+

Parameters

Number | minutesValue | An integer between 0 and 59, representing the minutes.
Number | secondsValue | (optional)An integer between 0 and 59, representing the seconds. If you specify the secondsValue parameter, you must also specify the minutesValue.
Number | msValue | (optional)A number between 0 and 999, representing the milliseconds. If you specify the msValue parameter, you must also specify the minutesValue and secondsValue.

Returns

Number |

  ### Using `setUTCMinutes`

      theBigDay = new Date();
                              theBigDay.setUTCMinutes(43);

Remarks

  If you do not specify the `secondsValue` and `msValue` parameters, the values returned from `getUTCSeconds` and `getUTCMilliseconds` methods are used.

  If a parameter you specify is outside of the expected range, `setUTCMinutes` attempts to update the date information in the `Date` object accordingly. For example, if you use 100 for `secondsValue`, the minutes (`minutesValue`) will be incremented by 1 (`minutesValue` + 1), and 40 will be used for seconds.

See Also

  getUTCMinutes|setMinutes

Availability

  JavaScript 1.2|JScript 3.0|ECMAScript v1

setUTCMonth(Number monthValue, [Number dayValue]) : Number Sets the month for a specified date according to universal time. | Show Details | 4.0+ | 1.0+ | 4.06+ | 7.0+ | 1.0+

Parameters

Number | monthValue | An integer between 0 and 11, representing the months January through December.
Number | dayValue | (optional)An integer from 1 to 31, representing the day of the month.

Returns

Number |

  ### Using `setUTCMonth`

      theBigDay = new Date();
                              theBigDay.setUTCMonth(11);

Remarks

  If you do not specify the `dayValue` parameter, the value returned from the `getUTCDate` method is used.

  If a parameter you specify is outside of the expected range, `setUTCMonth` attempts to update the date information in the `Date` object accordingly. For example, if you use 15 for `monthValue`, the year will be incremented by 1 (year + 1), and 3 will be used for month.

See Also

  getUTCMonth|setMonth

Availability

  JavaScript 1.2|JScript 3.0|ECMAScript v1

setUTCSeconds(Number secondsValue, [Number msValue]) : Number Sets the seconds for a specified date according to universal time. | Show Details | 4.0+ | 1.0+ | 4.06+ | 7.0+ | 1.0+

Parameters

Number | secondsValue | An integer between 0 and 59.
Number | msValue | (optional)A number between 0 and 999, representing the milliseconds.

Returns

Number |

  ### Using `setUTCSeconds`

      theBigDay = new Date();
                              theBigDay.setUTCSeconds(20);

Remarks

  If you do not specify the `msValue` parameter, the value returned from the `getUTCMilliseconds` methods is used.

  If a parameter you specify is outside of the expected range, `setUTCSeconds` attempts to update the date information in the `Date` object accordingly. For example, if you use 100 for `secondsValue`, the minutes stored in the `Date` object will be incremented by 1, and 40 will be used for seconds.

See Also

  getUTCSeconds|setSeconds

Availability

  JavaScript 1.2|JScript 3.0|ECMAScript v1

setYear(Number yearValue) : Number Sets the year for a specified date according to local time. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Parameters

Number | yearValue | An integer.

Returns

Number |

  ### Using `setYear`

  The first two lines set the year to 1996. The third sets the year to 2000.

      theBigDay.setYear(96)
                              theBigDay.setYear(1996)
                              theBigDay.setYear(2000)

Remarks

  Before this method was standardized to ECMAScript, it returned nothing. `setYear` is no longer used and has been replaced by the `setFullYear` method.

  If `yearValue</code. is a number between 0 and 99 (inclusive), then the year for <code>dateObjectName` is set to 1900 + `yearValue`. Otherwise, the year for `dateObjectName` is set to `yearValue`.

  To take into account years before and after 2000, you should use `setFullYear` instead of `setYear` so that the year is specified in full.

See Also

  getYear|setFullYear|setUTCFullYear

Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1|deprecated by ECMAScript v3

toDateString() : String Returns a string version of the Date object expressed in local time. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

Returns

String |

See Also

  Date.toLocaleDateString|Date.toLocaleString|Date.toLocaleTimeString|Date.toString|Date.toTimeString

Availability

  JavaScript 1.5|JScript 5.5|ECMAScript v3

toGMTString() : String Converts a date to a string, using Internet GMT conventions. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

Returns

String |

  ### Using `toGMTString`

  In the following example, today is a `Date` object:

      today.toGMTString();

  In this example, the `toGMTString` method converts the date to GMT (UTC) using the operating system's time-zone offset and returns a string value that is similar to the following form. The exact format depends on the platform.

      Mon, 18 Dec 1995 17:28:35 GMT

Remarks

  `toGMTString` is no longer used and has been replaced by the `toUTCString` method.

  The exact format of the value returned by `toGMTString` varies according to the platform.

  You should use Date.toUTCString instead of `toGMTSTring`.

See Also

  Date.toUTCString|toLocaleString

Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1|deprecated by ECMAScript v3

toLocaleDateString() : String Converts a date to a string, returning the "date" portion using the current locale's conventions. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Returns

String |

  ### Using `toLocaleDateString`

  In the following example, `today` is a `Date` object:

      today = new Date(95,11,18,17,28,35) //months are represented by 0 to 11
                              today.toLocaleDateString()

  In this example, `toLocaleDateString` returns a string value that is similar to the following form. The exact format depends on the platform.

      12/18/95

Remarks

  The `toLocaleDateString` method relies on the underlying operating system in formatting dates. It converts the date to a string using the formatting convention of the operating system where the script is running. For example, in the United States, the month appears before the date (04/15/98), whereas in Germany the date appears before the month (15.04.98). If the operating system is not year-2000 compliant and does not use the full year for years before 1900 or over 2000, `toLocaleDateString` returns a string that is not year-2000 compliant. `toLocaleDateString` behaves similarly to `toString` when converting a year that the operating system does not properly format.

  Methods such as `getHours`, `getMinutes`, and `getSeconds` give more portable results than `toLocaleDateString`.

See Also

  Date.toDateString|Date.toLocaleString|Date.toLocaleTimeString|Date.toString|Date.toTimeString|toGMTString|toUTCString

Availability

  JavaScript 1.5|JScript 5.5|ECMAScript v3

toLocaleString() : String Converts a date to a string, using the current locale's conventions. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Returns

String |

  ### Using `toLocaleString`

  In the following example, `today` is a `Date` object:

      today = new Date(95,11,18,17,28,35); //months are represented by 0 to 11
                              today.toLocaleString();

  In this example, `toLocaleString` returns a string value that is similar to the following form. The exact format depends on the platform.

      12/18/95 17:28:35

Remarks

  The `toLocaleString` method relies on the underlying operating system in formatting dates. It converts the date to a string using the formatting convention of the operating system where the script is running. For example, in the United States, the month appears before the date (04/15/98), whereas in Germany the date appears before the month (15.04.98). If the operating system is not year-2000 compliant and does not use the full year for years before 1900 or over 2000, `toLocaleString` returns a string that is not year-2000 compliant. `toLocaleString` behaves similarly to `toString` when converting a year that the operating system does not properly format.

  Methods such as `getHours`, `getMinutes`, and `getSeconds` give more portable results than `toLocaleString`.

See Also

  Date.toLocaleDateString|Date.toLocaleTimeString|Date.toString|Date.toUTCString

Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1

toLocaleTimeString() : String Converts a date to a string, returning the "date" portion using the current locale's conventions. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Returns

String |

  ### Using `toLocaleTimeString`

  In the following example, `today` is a `Date` object:

      today = new Date(95,11,18,17,28,35) //months are represented by 0 to 11
                              today.toLocaleTimeString()

  In this example, `toLocaleTimeString` returns a string value that is similar to the following form. The exact format depends on the platform.

      17:28:35

Remarks

  The `toLocaleTimeString` method relies on the underlying operating system in formatting dates. It converts the date to a string using the formatting convention of the operating system where the script is running. For example, in the United States, the month appears before the date (04/15/98), whereas in Germany the date appears before the month (15.04.98). If the operating system is not year-2000 compliant and does not use the full year for years before 1900 or over 2000, `toLocaleTimeString` returns a string that is not year-2000 compliant. `toLocaleTimeString` behaves similarly to `toString` when converting a year that the operating system does not properly format.

  Methods such as `getHours`, `getMinutes`, and `getSeconds` give more portable results than `toLocaleTimeString`.

See Also

  Date.toDateString|Date.toLocaleDateString|Date.toLocaleString|Date.toString|Date.toTimeString|toGMTString|toUTCString

Availability

  JavaScript 1.5|JScript 5.5|ECMAScript v3

toSource() : String Returns a string representing the source code of a Date object. | Show Details | 3.0+ | 1.0+ | 2.0+ | no | no

Returns

String |

Remarks

  The `toSource` method returns the following values:

  - For the built-in `Date` object, `toSource` returns the following string indicating that the source code is not available:

      function Date() {
                              [native code]
                              }

  - For instances of `Date`, `toSource` returns a string representing the source code.

  This method is usually called internally by JavaScript and not explicitly in code.

See Also

  Object.toSource

Availability

  JavaScript 1.3|ECMAScript v1

toString() : String Returns a string representing the specified Date object. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

Returns

String |

  ### Using `toString`

  The following assigns the `toString` value of a `Date` object to `myVar`:

      x = new Date();
                              myVar=x.toString();   //assigns a value to myVar similar to:
                              //Mon Sep 28 14:36:22 GMT-0700 (Pacific Daylight Time) 1998

Remarks

  The `Date` object overrides the `toString` method of the `Object` object; it does not inherit `Object.toString`. For `Date` objects, the `toString` method returns a string representation of the object.

  JavaScript calls the `toString` method automatically when a date is to be represented as a text value or when a date is referred to in a string concatenation.

See Also

  Date.parse|Date.toDateString|Date.toLocaleString|Date.toTimeString|Date.toUTCString

Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1 Overrides Object.toString

toTimeString() : String Returns a string representation of the time portion of a Date object, expressed in local time. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

Returns

String |

See Also

  Date.toString|Date.toDateString|Date.toLocaleDateString|Date.toLocaleString|Date.toLocaleTimeString

Availability

  JavaScript 1.5|JScript 5.5|ECMAScript v3

toUTCString() : String Converts a date to a string, using the universal time convention. | Show Details | 4.0+ | 1.0+ | 4.06+ | 7.0+ | 1.0+

Returns

String |

  ### Using `toUTCString`

      var UTCstring;
                              Today = new Date();
                              UTCstring = Today.toUTCString();

Remarks

  The value returned by `toUTCString` is a readable string formatted according to UTC convention. The format of the return value may vary according to the platform.

See Also

  Date.toLocaleString|Date.toString

Availability

  JavaScript 1.2|JScript 3.0|ECMAScript v1

static UTC(Object year, Number month, [Number date,] [Number hrs,] [Number min,] [Number sec,] [Number ms]) : Number Accepts the same parameters as the longest form of the constructor, and returns the number of milliseconds in a Date object since January 1, 1970, 00:00:00, universal time. | Show Details | 3.0+ | 1.0+ | 2.0+ | 7.0+ | 1.0+

Parameters

Object | year | A year after 1900.
Number | month | An integer between 0 and 11 representing the month.
Number | date | (optional)An integer between 1 and 31 representing the day of the month.
Number | hrs | (optional)An integer between 0 and 23 representing the hours.
Number | min | (optional)An integer between 0 and 59 representing the minutes.
Number | sec | (optional)An integer between 0 and 59 representing the seconds.
Number | ms | (optional)An integer between 0 and 999 representing the milliseconds.

Returns

Number |

  ### Using `Date.UTC`

  The following statement creates a `Date` object using GMT instead of local time:

      gmtDate = new Date(Date.UTC(96, 11, 1, 0, 0, 0));

Remarks

  `UTC` takes comma-delimited date parameters and returns the number of milliseconds between January 1, 1970, 00:00:00, universal time and the time you specified.

  You should specify a full year for the year; for example, 1998. If a year between 0 and 99 is specified, the method converts the year to a year in the 20th century (1900 + year); for example, if you specify 95, the year 1995 is used.

  The `UTC` method differs from the `Date` constructor in two ways.

  - `Date.UTC` uses universal time instead of the local time.
  - `Date.UTC` returns a time value as a number instead of creating a `Date` object.

  If a parameter you specify is outside of the expected range, the `UTC` method updates the other parameters to allow for your number. For example, if you use 15 for month, the year will be incremented by 1 (year + 1), and 3 will be used for the month.

  Because `UTC` is a static method of `Date`, you always use it as `Date.UTC()`, rather than as a method of a `Date` object you created.

See Also

  Date|Date.parse|Date.setTime

Availability

  JavaScript 1.0|JScript 1.0|ECMAScript v1

valueOf() : Number Returns the primitive value of a Date object. | Show Details | 4.0+ | 1.0+ | 3.0+ | 7.0+ | 1.0+

Returns

Number |

  ### Using `valueOf`

      x = new Date(56, 6, 17);
                              myVar = x.valueOf();      //assigns -424713600000 to myVar

Remarks

  The `valueOf` method returns the primitive value of a `Date` object as a number data type, the number of milliseconds since midnight 01 January, 1970 UTC.

  This method is functionally equivalent to the getTime method.

  This method is usually called internally by JavaScript and not explicitly in code.

See Also

  Object.valueOf|getTime

Availability

  JavaScript 1.1|ECMAScript v1

### Several ways to assign dates

The following examples show several ways to assign dates:

    today = new Date();
             birthday = new Date("December 17, 1995 03:24:00");
             birthday = new Date(95,11,17);
             birthday = new Date(95,11,17,3,24,0);

## Remarks

If you supply no arguments, the constructor creates a `Date` object for today's date and time according to local time. If you supply some arguments but not others, the missing arguments are set to 0. If you supply any arguments, you must supply at least the year, month, and day. You can omit the hours, minutes, seconds, and milliseconds.

The date is measured in milliseconds since midnight 01 January, 1970 UTC. A day holds 86,400,000 milliseconds. The Date object range is -100,000,000 days to 100,000,000 days relative to 01 January, 1970 UTC.

The `Date` object provides uniform behavior across platforms.

The `Date` object supports a number of UTC (universal) methods, as well as local time methods. UTC, also known as Greenwich Mean Time (GMT), refers to the time as set by the World Time Standard. The local time is the time known to the computer where JavaScript is executed.

For compatibility with millennium calculations (in other words, to take into account the year 2000), you should always specify the year in full; for example, use 1998, not 98. To assist you in specifying the complete year, JavaScript includes the methods `getFullYear`, `setFullYear`, `getUTCFullYear`, and `setUTCFullYear`.

The following example returns the time elapsed between `timeA` and `timeB` in milliseconds.

    timeA = new Date();
                // Statements here to take some action.
                timeB = new Date();
                timeDifference = timeB - timeA;

## References

Date.parse|Date.UTC

## Availability

JavaScript 1.0|JScript 1.0|ECMAScript v1

text_javascript aptana_docs